SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
enabled-by: true
links:
- role: spec-member
  uid: root
spec-description: null
spec-example: null
spec-info:
  str:
    assert:
      not:
        contains:
        - acceptable
        - adequate
        - almost always
        - and/or
        - appropriate
        - approximately
        - as far as possible
        - as much as practicable
        - best
        - best possible
        - easy
        - efficient
        - e.g.
        - enable
        - enough
        - etc.
        - few
        - first rate
        - flexible
        - generally
        - goal
        - graceful
        - great
        - greatest
        - ideally
        - i.e.
        - if possible
        - in most cases
        - large
        - many
        - maximize
        - minimize
        - most
        - multiple
        - necessary
        - numerous
        - optimize
        - ought to
        - probably
        - quick
        - rapid
        - reasonably
        - relevant
        - robust
        - satisfactory
        - several
        - shall be included but not limited to
        - simple
        - small
        - some
        - state of the art
        - sufficient
        - suitable
        - support
        - systematically
        - transparent
        - typical
        - user friendly
        - usually
        - versatile
        - when necessary
    description: |
      It shall state a requirement or constraint.
spec-name: Requirement Text
spec-type: requirement-text
type: spec
